<?php

if (!defined('ABSPATH'))
    die('Restricted Access');

class JSJOBSExperienceController {

    private $_msgkey;

    function __construct() {
        self::handleRequest();
        $this->_msgkey = JSJOBSincluder::getJSModel('experience')->getMessagekey();        
    }

    function handleRequest() {
        $layout = JSJOBSrequest::getLayout('jsjobslt', null, 'experience');
        if (self::canaddfile()) {
            switch ($layout) {
                case 'admin_experience':
                    JSJOBSincluder::getJSModel('experience')->getAllExperience();
                    break;
                case 'admin_formexperience':
                    $id = JSJOBSrequest::getVar('jsjobsid');
                    JSJOBSincluder::getJSModel('experience')->getJobExperiencebyId($id);
                    break;
            }
            $module = (is_admin()) ? 'page' : 'jsjobsme';
            $module = JSJOBSrequest::getVar($module, null, 'experience');
            $module = str_replace('jsjobs_', '', $module);
            JSJOBSincluder::include_file($layout, $module);
        }
    }

    function canaddfile() {
        if (isset($_POST['form_request']) && $_POST['form_request'] == 'jsjobs')
            return false;
        elseif (isset($_GET['action']) && $_GET['action'] == 'jsjobtask')
            return false;
        else
            return true;
    }

    function saveexperience() {
        $data = JSJOBSrequest::get('post');
        $result = JSJOBSincluder::getJSModel('experience')->storeExperience($data);
        $url = admin_url('admin.php?page=jsjobs_experience&jsjobslt=experience');

        $link = 'index.php?option=com_jsjobs&c=experience&view=experience&jsjobslt=experience';
        if (is_array($result)) {
        } else {
            $msg = JSJOBSMessages::getMessage($result, 'experience');
            JSJOBSMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
            wp_redirect($url);
            die();
        }
    }

    function remove() {
        $ids = JSJOBSrequest::getVar('jsjobs-cb');
        $result = JSJOBSincluder::getJSModel('experience')->deleteExperiences($ids);
        $msg = JSJOBSMessages::getMessage($result, 'experience');
        JSJOBSMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=jsjobs_experience&jsjobslt=experience");
        wp_redirect($url);
        die();
    }

    function publish() {
        $pagenum = JSJOBSrequest::getVar('pagenum');
        $ids = JSJOBSrequest::getVar('jsjobs-cb');
        $result = JSJOBSincluder::getJSModel('experience')->publishUnpublish($ids, 1); //  for publish
        $msg = JSJOBSMessages::getMessage($result, 'record');
        JSJOBSMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=jsjobs_experience&jsjobslt=experience");
        if ($pagenum)
            $url .= "&pagenum=" . $pagenum;
        wp_redirect($url);
        die();
    }

    function unpublish() {
        $pagenum = JSJOBSrequest::getVar('pagenum');
        $ids = JSJOBSrequest::getVar('jsjobs-cb');
        $result = JSJOBSincluder::getJSModel('experience')->publishUnpublish($ids, 0); //  for unpublish
        $msg = JSJOBSMessages::getMessage($result, 'record');
        JSJOBSMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=jsjobs_experience&jsjobslt=experience");
        if ($pagenum)
            $url .= "&pagenum=" . $pagenum;
        wp_redirect($url);
        die();
    }

}

$JSJOBSExperienceController = new JSJOBSExperienceController();
?>